Skip to main content
Platform O&M/Tag Operations
GETTag OperationsSince 0.6SynchronousAuth Required

QueryUserTag

QueryUserTag

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • resourceUuidStringRequired

      The UUID of the associated resource. If specified, the system will not allocate randomly a UUID to the resource.

    • resourceTypeStringRequired

      The resource type, which must be specified when you create a tag.

    • tagStringRequired

      The tag string.

    • typeStringRequired

      The reserved field for internal use.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/user-tags

/zstack/v1/user-tags

Operation ID

QueryUserTag

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/user-tags' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "ae4f2dd05a513e1e8d350d448c2071a9", "resourceType": "DiskOfferingVO", "tag": "for-large-DB", "type": "User", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history